//
//  Controller.h
//  Nib1
//
//  David J. Malan
//  Harvard University
//  dmalan@harvard.edu
//
//  Demonstrates a Window-based Application implemented with a nib, plus IBAction and IBOutlet.
//

#import <Foundation/Foundation.h>

@interface Controller : NSObject {
}

@property (nonatomic, retain) IBOutlet UITextField *textField;

- (IBAction)done:(id)sender;
- (IBAction)go:(id)sender;

@end
