//
//  main.m
//  Students8
//
//  David J. Malan
//  Harvard University
//  dmalan@harvard.edu
//
//  Demonstrates immutable arrays.
//

#import <Foundation/Foundation.h>

int main (int argc, const char * argv[])
{
    // allocate autorelease pool
    NSAutoreleasePool *pool = [[NSAutoreleasePool alloc] init];
    
    // allocate array for names
    NSArray *names = [NSArray arrayWithObjects:@"Alice", @"Bob", nil];
    
    // greet each student
    for (id name in names) {
        NSLog(@"Hello, %@.", name);
    }
    
    // drain autorelease pool
    [pool drain];
    
    return 0;
}
