//
//  Student.h
//  Students9
//
//  David J. Malan
//  Harvard University
//  dmalan@harvard.edu
//
//  Declares a student with convenience method.
//

#import <Foundation/Foundation.h>

@interface Student : NSObject {
}

@property (assign, nonatomic, readwrite) int age;
@property (copy, nonatomic, readwrite) NSString *name;

+ (id)studentWithName:(NSString *)name andAge:(int)age;
- (id)initWithName:(NSString *)name andAge:(int)age;

@end
