//
//  Student.h
//  Students10
//
//  David J. Malan
//  Harvard University
//  dmalan@harvard.edu
//
//  Declares a student with (non-init) instance method.
//

#import <Foundation/Foundation.h>

@interface Student : NSObject {
}

@property (assign, nonatomic, readwrite) int age;
@property (copy, nonatomic, readwrite) NSString *name;

- (id)initWithName:(NSString *)name andAge:(int)age;
- (void)greet;

@end
