//
//  main.m
//  Students10
//
//  David J. Malan
//  Harvard University
//  dmalan@harvard.edu
//
//  Declares a student with (non-init) instance method.
//

#import <Foundation/Foundation.h>
#import "Student.h"

int main (int argc, const char * argv[])
{
    // allocate autorelease pool
    NSAutoreleasePool *pool = [[NSAutoreleasePool alloc] init];
    
    // Alice
    Student *alice = [[Student alloc] initWithName:@"Alice" andAge:20];
    [alice greet];
    [alice release];
    
    // Bob
    Student *bob = [[Student alloc] initWithName:@"Bob" andAge:21];
    [bob greet];
    [bob release];
    
    // drain autorelease pool
    [pool drain];
    
    return 0;
}