//
//  Student.m
//  Students3
//
//  David J. Malan
//  Harvard University
//  dmalan@harvard.edu
//
//  Defines a student with properties.
//

#import "Student.h"

@implementation Student

- (int)age
{
    return _age;
}

- (void)setAge:(int)age
{
    _age = age;
}

- (NSString *)name
{
    return _name;
}

- (void)setName:(NSString *)name
{
    if (_name != name)
    {
        [_name release];
        _name = [name copy];
    }
}

- (void)dealloc
{
    [_name release];
    [super dealloc];
}

@end
