//
//  Student.m
//  Students5
//
//  David J. Malan
//  Harvard University
//  dmalan@harvard.edu
//
//  Defines a student with (mostly) synthesized properties.
//

#import "Student.h"

@implementation Student

@synthesize age=_age;
@synthesize name=_name;
         
- (void)setName:(NSString *)name
{
    if (_name != name) {
        [_name release];
        if ([name isEqualToString:@"David"]) {
            _name = [[NSString alloc] initWithString:@"Dummy"];
        }
        else {
            _name = [name copy];
        }
    }
}

- (void)dealloc
{
    [_name release];
    [super dealloc];
}

@end
